# Class PMatrix4x4DGenerator<A,B>

java.lang.Object
com.io7m.jtensors.generators.PMatrix4x4DGenerator<A,B>

Type Parameters:
  `A` - A phantom type parameter (possibly representing a source coordinate system)
  `B` - A phantom type parameter (possibly representing a target coordinate system)

All Implemented Interfaces:
  `net.java.quickcheck.Generator<PMatrix4x4D<A,B>>`

public final class PMatrix4x4DGenerator<A,B> extends Object implements net.java.quickcheck.Generator<PMatrix4x4D<A,B>>
A matrix generator.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PMatrix4x4DGenerator(net.java.quickcheck.Generator<Double> in_gen)`
  Construct a generator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <A,B> net.java.quickcheck.Generator<PMatrix4x4D<A,B>>`
  `create()`
  Create a generator initialized with a default component generator.
  `static <A,B> net.java.quickcheck.Generator<PMatrix4x4D<A,B>>`
  `createNormal()`
  Create a generator initialized with a default component generator that only produces values in the range `[-1.0, 1.0]`.
  `PMatrix4x4D<A,B>`
  `next()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PMatrix4x4DGenerator

    public PMatrix4x4DGenerator(net.java.quickcheck.Generator<Double> in_gen)
    Construct a generator.
    Parameters:
      `in_gen` - A component generator

- ## Method Details

  - ### create

    public static <A,B> net.java.quickcheck.Generator<PMatrix4x4D<A,B>> create()
    Create a generator initialized with a default component generator.
    Type Parameters:
      `A` - A phantom type parameter (possibly representing a source coordinate system)
      `B` - A phantom type parameter (possibly representing a target coordinate system)
    Returns:
      A generator

  - ### createNormal

    public static <A,B> net.java.quickcheck.Generator<PMatrix4x4D<A,B>> createNormal()
    Create a generator initialized with a default component generator that only produces values in the range `[-1.0, 1.0]`.
    Type Parameters:
      `A` - A phantom type parameter (possibly representing a source coordinate system)
      `B` - A phantom type parameter (possibly representing a target coordinate system)
    Returns:
      A generator

  - ### next

    public PMatrix4x4D<A,B> next()
    Specified by:
      `next` in interface `net.java.quickcheck.Generator<A>`